---
keyword: [Extend, Orchestration Builder, Orchestrate, Orchestration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Concept: Async Orchestration Cancellation
layout: subsection
---

You can configure an Async orchestration so it can be cancelled by users in a controlled and orderly fashion. In addition, you can set a Cancellation Barrier that specifies a point beyond which the orchestration can't be cancelled. Use the Cancellation Barrier to delineate steps that can be safely cancelled from those that cannot.

Async orchestrations are not cancellable by default. To enable cancellation, click <b>Settings</b> under the 3 dot menu in your orchestration. Select the <b>Allow users to cancel the orchestration at a specified point</b> check box.

Select where you want to place the Cancellation Barrier. There are 2 options:

-   <b>Place Cancellation Barrier at the end of the orchestration</b>: Select this option to specify that a user can cancel the orchestration at any point.
-   <b>Place Cancellation Barrier at</b>: Select this option to specify a point beyond which a user can't cancel the orchestration. Use the drop-down menu to select the orchestration step that marks the barrier. The selected step and all subsequent steps will be noncancellable.


To cancel an orchestration, a user makes a `PUT` HTTP request to the public Workday API using a tenanted bearer authorization token.

The HTTP request takes this format:

```
/apps/{appID}/orchestrations/{orchestrationName}/cancel/{orchestrationId}
```

`{appID}` is the application ID.

`{orchID}` is the orchestration ID

`{orchInstanceID}` is the orchestration instance's unique identifier. This value is returned in the `X-Orchestrate-Id` header following a launch request and can be found in logs.

Example:

```
PUT https://api.workday.com/orchestrate/v1/apps/some-extend-app-id/orchestrations/some-orchestration-in-the-app-id/cancel/73d90828-3d62-4a5c-be58-e47eb4e402fe HTTP/1.1
Authorization: Bearer eyJ0eXAiOiJhdCtKV1QiLCJhbGciOiJSU <etc.>
```

